All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas
Interface ViewInterface

All Known Subinterfaces:
  BookmarkManagerInterface, BookmarkManagerV2Interface, CommandProcessorViewInterface, ComponentInterface, LevelTreeInterface, LevelTreeV2Interface, LevelTreeV3Interface, ServerNodeInterface, com.sas.servlet.beans.TransformationInterface, ViewDefaultModelInterface

All Known Implementing Classes:
  _rprxIOMBookmarkManager, _rprxIOMBookmarkManagerV2, _rprxIOMLevelTree, _rprxIOMLevelTreeV2, _rprxIOMLevelTreeV3, _rprxJ2BookmarkManager, _rprxJ2BookmarkManagerV2, _rprxJ2LevelTree, _rprxJ2LevelTreeV2, _rprxJ2LevelTreeV3, _rprxJ2ServerNode, _rprxRemoteBookmarkManagerClient, _rprxRemoteBookmarkManagerV2Client, _rprxRemoteDesignTimeBookmarkManager, _rprxRemoteDesignTimeBookmarkManagerV2, _rprxRemoteDesignTimeLevelTree, _rprxRemoteDesignTimeLevelTreeV2, _rprxRemoteDesignTimeLevelTreeV3, _rprxRemoteDesignTimeServerNode, _rprxRemoteLevelTreeClient, _rprxRemoteLevelTreeV2Client, _rprxRemoteLevelTreeV3Client, _rprxRemoteServerNodeClient, Alarm, AlarmButtonModel, AnimationIconView, Applet, AppletVisualComponent, ArrowButton, AssociationList, BaseBorder, BaseButton, BaseCollection, BaseDataBean, BasicColorsCanvas, BasicColorsPanel, BookmarkManagerDelegate, BooleanData, BooleanOperator, Border, BorderedContainer, BorderedPanel, BoundedDouble, BoundedLong, BufferedPanel, Button, ButtonDialog, ButtonPanel, ButtonVisualComponent, ByteData, Canvas, CanvasVisualComponent, CatalogSelectorDialog, CharacterData, CheckBox, CheckBoxCell, CheckBoxVisualComponent, Choice, ChoiceVisualComponent, ClassPathClasses, ClassSelectorPanel, CloseCancelCustomizerDialog, Collection, CollectionMirror, Color, ColorComponent, ColorDialog, ColorList, ColorNameList, ColorPanel, ComboBox, CommandProcessor, Component, Component, ComponentVisualComponent, CompositeBorder, CompositeContainer, CompositePanel, Container, ContainerContainerComponent, ContainerVisualComponent, CurrentDate, CurrentTime, CustomColorsPanel, CustomizerDialog, CustomizerPanel, DataSetSelectorDialog, DataTableSortController, DateTimeMonitor, DefaultButtonListener, DefaultButtonModel, DefaultColorList, DefaultFontFamilyList, DefaultFontList, Dialog, DialogContainerComponent, DialogVisualComponent, Dictionary, DirectoryDialog, DoubleData, DualSelector, DynamicPropertyBag, EISSelectorDialog, File, FileComponent, FileList, FileListFiltersPanel, FileSystem, FileSystemList, Fireworks, FloatData, Font, FontComponent, FontDialog, FontList, FontPanel, Frame, FrameContainerComponent, FrameVisualComponent, GraphicalCheckBox, IconView, ImageAnimation, ImageLinkModel, ImageModel, ImageSequence, ImageView, IMDBTable, IndexedPropertyEditorHost, IntegerData, IntegerRange, com.sas.rmi.IOMBaseClient, com.sas.rmi.J2BaseClient, KeyCollection, Label, LabelView, LabelVisualComponent, LevelTreeDelegate, LibrarySelectorDialog, ListBox, ListBoxVisualComponent, LongData, Marquee, MessageBox, MetabaseSelectorDialog, NavigationBar, NodeDelegate, NumericTextField, ObjectData, OkCancelHelpDialog, OrderedCollection, OrderedListCollection, OrientationSelector, Panel, PanelContainerComponent, PanelVisualComponent, ParameterBag, Printer, PrinterList, ProgressDialog, PropertyEditorHost, PropertySheet, PushButton, RadioBox, RadioButton, RangeCollection, com.sas.rmi.RemoteBaseClient, com.sas.rmi.RemoteDesignTimeBaseClient, RemoteObjectCustomizerPanel, RemoteObjectSelectorDialog, RGBList, com.sas.rmi.RMIBaseClient, SASListDelegate, SASListNodeDelegate, SASProcedureTemplate, Scrollbar, Scrollbar, ScrollbarVisualComponent, ScrollPane, ScrollPaneContainerComponent, ScrollPaneVisualComponent, ScrollSlider, SelectionGroup, ServerNodeDelegate, Set, ShortData, SimpleJSTreeNode, SimpleTable, SliderListener, SortedCollection, SpinBox, SpinButton, StaticCollection, StaticDictionary, StaticOrderedCollection, StaticStringList, StaticTextModel, StatusStringData, StringCollection, StringComparator, StringData, StyledLabelView, TabBar, TabbedView, TabBorder, TabButton, TabButtonModel, TabFolder, TableView, Template, TextArea, TextAreaVisualComponent, TextBorder, TextEditComposite, TextField, TextFieldVisualComponent, TextLinkModel, TextValueModel, Timer, ToggleButton, ToggleButtonModel, Toolbar, ToolbarBorder, ToolbarButton, TransformingComparator, Tree, TreeView, UnitsBox, UpDownListBox, UpDownTextArea, URL, Windows95Border, WordWrapTextArea

    public interface ViewInterface

The ViewInterface interface defines all the functionality needed for a component to behave as a view in a model-view connection. The com.sas.Component class implements the ViewInterface by implementing ComponentInterface, which extends ViewInterface.

See Also:
  `ModelInterface`

Method Summary
`abstract void` | `attachModel(ModelInterface model)` Attaches the specified model to this view.
`abstract void` | `detachModel(ModelInterface model)` Detaches the specified model from this view.
`abstract ModelInterface` | `getModelInterface()`
`abstract java.util.Vector` | `getRequiredInterfaces()` The get method for the requiredInterfaces attribute.
`abstract ViewInterfaceSupportInfo` | `getViewInterfaceSupportInfo()` This method is not intended to be used by SAS customers.
`abstract void` | `refresh(ModelInterface model)` Updates the view based on updates in the model.
`abstract void` | `removeInterfaceTraps(ModelInterface model)` Deprecated. This method is no longer used.
`abstract void` | `setModelInterface(ModelInterface model)` Calling setModelInterface will detach the previous model (if any) and will call attachModel to attach the model to this view.
`abstract void` | `setRequiredInterfaces(java.util.Vector interfaces)` The set method for the requiredInterfaces attribute.
`abstract void` | `setViewInterfaceSupportInfo(ViewInterfaceSupportInfo info)` This method is not intended to be used by SAS customers.
`abstract boolean` | `supportsRequiredInterfaces(ModelInterface model)` Checks a potential model to this view to see if it supports the required interfaces of this view.
`abstract void` | `trapInterfaceEvents(ModelInterface model)` Deprecated. This method is no longer used.

Method Detail

### trapInterfaceEvents

    void trapInterfaceEvents(ModelInterface model)

  Deprecated. This method is no longer used.

### removeInterfaceTraps

    void removeInterfaceTraps(ModelInterface model)

  Deprecated. This method is no longer used.

### getRequiredInterfaces

    java.util.Vector getRequiredInterfaces()

  The get method for the requiredInterfaces attribute. Retrieves the current value of the RequiredInterfaces atttribute. This information contains an array for each required interface.

  Returns:
    interfaces - Array of interface information for each required interface
  See Also:
    `setRequiredInterfaces(java.util.Vector)`

### setRequiredInterfaces

    void setRequiredInterfaces(java.util.Vector interfaces)

  The set method for the requiredInterfaces attribute. Sets the current value of the RequiredInterfaces attribute.

  Parameters:
    `interfaces` - Vector of interface information for each required interface Each element in the vector contains the required interface name followed by attribute name to method pairings for each attribute in the model which the view will set up event handlers for. For example, this view requires the StringListInterface and handles two attribute changed event notifications from the model.

                Vector requiredInterfaces =     new Vector();
                String[] requiredInterfacesString = { "com.sas.util.StaticStringListInterface", "items", "refresh", "listName", "setTitle" };
                requiredInterfaces.addElement(requiredInterfacesString);

                this.setRequiredInterfaces( requiredInterfaces );

  See Also:
    `getRequiredInterfaces()`

### attachModel

    void attachModel(ModelInterface model)

  Attaches the specified model to this view. Calls attachView on the model to notify it of the attach request. Throws a run time ComponentException if the model denies the attach request. Calls trapInterfaceEvents on the view to set up the appropriate event handlers in the view for attribute changed events from the model. attachModel will be called once for the model specified in the setModel method. It is the responsibility of the views to maintain interface handles to multiple models; one interface handle will be set in the attachModel call and cleared in detachModel. Therefore, the interface handle will always point to the last model attached to. Throws a run time ComponentException if the specified model does not support the required interface on the view. Calls refresh, passing the model interface, on the view after successful completion to allow the view to update itself.

  Parameters:
    `model` - Model to attach to
  See Also:
    `detachModel(com.sas.ModelInterface)`, `ModelInterface.attachView()`, `trapInterfaceEvents(com.sas.ModelInterface)`

### detachModel

    void detachModel(ModelInterface model)

  Detaches the specified model from this view. Calls detachView on the model to notify it of the attach request. Calls removeInterfaceTraps on the view to remove the appropriate event handlers in the view for attribute changed events from the model. Calls refresh, passing null for the model interface, on the view after successful completion to allow the view to clear itself.

  Parameters:
    `model` - Model to detach
  See Also:
    `attachModel(com.sas.ModelInterface)`, `ModelInterface.detachView()`, `removeInterfaceTraps(com.sas.ModelInterface)`

### refresh

    void refresh(ModelInterface model)

  Updates the view based on updates in the model. Called by attachModel upon a successful attach to give the view a chance to update itself. Views should override this method to perform whatever updates are necessary after a model update.

  Parameters:
    `model` - Model that has just been updated
  See Also:
    `attachModel(com.sas.ModelInterface)`

### getModelInterface

    ModelInterface getModelInterface()

  Returns:
    A reference to the connected model. If no model is connected, null is returned.
  See Also:
    `attachModel(com.sas.ModelInterface)`

### setModelInterface

    void setModelInterface(ModelInterface model)

  Calling setModelInterface will detach the previous model (if any) and will call attachModel to attach the model to this view. Sends a propertyChange event for the model property

  Parameters:
    `model` - The new model for this view
  See Also:
    `attachModel(com.sas.ModelInterface)`

### supportsRequiredInterfaces

    boolean supportsRequiredInterfaces(ModelInterface model)

  Checks a potential model to this view to see if it supports the required interfaces of this view.

  Parameters:
    `model` - Model to check for the required interfaces
  Returns:
    true for this model supports the required interfaces of the view; false for the model does not support the required interfaces of the view

### getViewInterfaceSupportInfo

    ViewInterfaceSupportInfo getViewInterfaceSupportInfo()

  This method is not intended to be used by SAS customers.

  Returns:
    A reference to an instance of ViewInterfaceSupportInfo which holds information needed by ViewInterfaceSupport to implement the ViewInterface.
  See Also:
    `ViewInterfaceSupportInfo`, `ViewInterfaceSupport`

### setViewInterfaceSupportInfo

    void setViewInterfaceSupportInfo(ViewInterfaceSupportInfo info)

  This method is not intended to be used by SAS customers.

  Parameters:
    `info` - A reference to an instance of ViewInterfaceSupportInfo which holds information needed by ViewInterfaceSupport to implement the ViewInterface.
  See Also:
    `ViewInterfaceSupportInfo`, `ViewInterfaceSupport`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.